diff --git a/src/lib_ccx/ccx_decoders_isdb.c b/src/lib_ccx/ccx_decoders_isdb.c
index 6cc7f4208..23e9985ac 100644
--- a/src/lib_ccx/ccx_decoders_isdb.c
+++ b/src/lib_ccx/ccx_decoders_isdb.c
@@ -485,14 +485,12 @@ static int get_text(ISDBSubContext *ctx, unsigned char *buffer, int len)
 	struct ISDBText *text = NULL;
 	struct ISDBText *sb_text = NULL;
 	struct ISDBText *sb_temp = NULL;
-	struct ISDBText *wtrepeat_text = NULL;
 	//TO keep track we dont over flow in buffer from user
 	int index = 0;
 
 	if (ctx->cfg_no_rollup || (ctx->cfg_no_rollup == ctx->current_state.rollup_mode))
 	// Abhinav95: Forcing -noru to perform deduplication even if stream doesn't honor it
 	{
-		wtrepeat_text = NULL;
 		if (list_empty(&ctx->buffered_text))
 		{
 			list_for_each_entry(text, &ctx->text_list_head, list, struct ISDBText)
@@ -1329,13 +1327,9 @@ int isdb_parse_data_group(void *codec_ctx,const uint8_t *buf, struct cc_subtitle
 	ISDBSubContext *ctx = codec_ctx;
 	const uint8_t *buf_pivot = buf;
 	int id = (*buf >> 2);
-	int version = (*buf & 2);
-	int link_number = 0;
-	int last_link_number = 0;
-	int group_size = 0;
+    int group_size = 0;
 	int ret = 0;
 
-
 	if ( (id >> 4) == 0 )
 	{
 		isdb_log("ISDB group A\n");
@@ -1345,12 +1339,8 @@ int isdb_parse_data_group(void *codec_ctx,const uint8_t *buf, struct cc_subtitle
 		isdb_log("ISDB group B\n");
 	}
 
-	isdb_log("ISDB (Data group) version %d\n",version);
-
 	buf++;
-	link_number = *buf++;
-	last_link_number = *buf++;
-	isdb_log("ISDB (Data group) link_number %d last_link_number %d\n", link_number, last_link_number);
+	*buf++;
 
 	group_size = RB16(buf);
 	buf += 2;
diff --git a/src/lib_ccx/ccx_decoders_xds.c b/src/lib_ccx/ccx_decoders_xds.c
index 7b900517e..6d36ba82a 100644
--- a/src/lib_ccx/ccx_decoders_xds.c
+++ b/src/lib_ccx/ccx_decoders_xds.c
@@ -666,7 +666,6 @@ int xds_do_current_and_future (struct cc_subtitle *sub, struct ccx_decoders_xds_
 		case XDS_TYPE_ASPECT_RATIO_INFO:
 			{
 				unsigned ar_start, ar_end;
-				int changed = 0;
 				was_proc = 1;
 				if (ctx->cur_xds_payload_length < 5) // We need 2 data bytes
 					break;
@@ -684,7 +683,6 @@ int xds_do_current_and_future (struct cc_subtitle *sub, struct ccx_decoders_xds_
 				{	
 					ctx->current_ar_start = ar_start;
 					ctx->current_ar_end = ar_end;
-					changed = 1;
 					ccx_common_logging.log_ftn("\rXDS Notice: Aspect ratio info, start line=%u, end line=%u\n", ar_start, ar_end);
 					ccx_common_logging.log_ftn("\rXDS Notice: Aspect ratio info, active picture height=%u, ratio=%f\n", active_picture_height, aspect_ratio);
 				}
diff --git a/src/zvbi/decoder.c b/src/zvbi/decoder.c
index 7a3ebfedb..e4647d73f 100644
--- a/src/zvbi/decoder.c
+++ b/src/zvbi/decoder.c
@@ -528,7 +528,6 @@ vbi_raw_decoder_resize		(vbi_raw_decoder *	rd,
 				 int *			start,
 				 unsigned int *		count)
 {
-	vbi_service_set service_set;
 	vbi3_raw_decoder *rd3;
 
 	assert (NULL != rd);
@@ -551,7 +550,7 @@ vbi_raw_decoder_resize		(vbi_raw_decoder *	rd,
 		rd->count[0] = count[0];
 		rd->count[1] = count[1];
 
-		service_set = vbi3_raw_decoder_set_sampling_par
+		vbi3_raw_decoder_set_sampling_par
 			(rd3, (vbi_sampling_par *) rd, /* strict */ 0);
 	}
 
diff --git a/src/zvbi/raw_decoder.c b/src/zvbi/raw_decoder.c
index 190b86f22..cdfc26803 100644
--- a/src/zvbi/raw_decoder.c
+++ b/src/zvbi/raw_decoder.c
@@ -29,6 +29,8 @@
 #include "misc.h"
 #include "raw_decoder.h"
 #include "ccx_common_common.h"
+#include "../lib_ccx/ccx_common_common.h"
+
 #ifndef RAW_DECODER_PATTERN_DUMP
 #  define RAW_DECODER_PATTERN_DUMP 0
 #endif
@@ -1089,13 +1091,11 @@ vbi_bool
 vbi3_raw_decoder_debug		(vbi3_raw_decoder *	rd,
 				 vbi_bool		enable)
 {
-	_vbi3_raw_decoder_sp_line *sp_lines;
 	unsigned int n_lines;
 	vbi_bool r;
 
 	assert (NULL != rd);
 
-	sp_lines = NULL;
 	r = CCX_TRUE;
 
 	rd->debug = !!enable;
diff --git a/src/zvbi/sampling_par.c b/src/zvbi/sampling_par.c
index 24c1a0123..5e1577095 100644
--- a/src/zvbi/sampling_par.c
+++ b/src/zvbi/sampling_par.c
@@ -27,7 +27,7 @@
 #include "raw_decoder.h"
 #include "sampling_par.h"
 #include "sliced.h"
-#include "ccx_common_common.h" 
+#include "ccx_common_common.h"
 
 #define vbi_pixfmt_bytes_per_pixel VBI_PIXFMT_BPP
 #define sp_sample_format sampling_format
@@ -429,7 +429,6 @@ _vbi_sampling_par_from_services_log
 	rate = 0;
 
 	for (par = _vbi_service_table; par->id; ++par) {
-		double margin;
 		double signal;
 		int offset;
 		unsigned int samples;
@@ -448,11 +447,6 @@ _vbi_sampling_par_from_services_log
 				videostd_set |= par->videostd_set;
 		}
 
-		if (VBI_VIDEOSTD_SET_525_60 & videostd_set)
-			margin = 1.0e-6;
-		else
-			margin = 2.0e-6;
-
 		if (0 == (par->videostd_set & videostd_set)) {
 			info (log,
 			      "Service 0x%08x (%s) requires "
